"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RealmDefinition_1 = require("./RealmDefinition");
class UserSpecificPermission {
}
UserSpecificPermission.schema = {
    name: 'Permission',
    properties: {
        userId: { type: 'string', indexed: true },
        path: { type: 'string', indexed: true },
        mayRead: { type: 'bool', optional: false },
        mayWrite: { type: 'bool', optional: false },
        mayManage: { type: 'bool', optional: false },
        updatedAt: { type: 'date', optional: false },
    }
};
exports.UserSpecificPermission = UserSpecificPermission;
function CreateUserPermissionRealmDefinition(userId) {
    return {
        remotePath: `/${userId}/__permission`,
        schema: [
            RealmDefinition_1.createRealmSchema(UserSpecificPermission)
        ],
    };
}
exports.CreateUserPermissionRealmDefinition = CreateUserPermissionRealmDefinition;
//# sourceMappingURL=UserPermissionRealm.js.map